<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: part_info_tools_m::multi_domain_data_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacepart__info__tools__m.html">part_info_tools_m</a></li><li class="navelem"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html">multi_domain_data_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="structpart__info__tools__m_1_1multi__domain__data__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">part_info_tools_m::multi_domain_data_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for part_info_tools_m::multi_domain_data_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structpart__info__tools__m_1_1multi__domain__data__t__coll__graph.png" border="0" usemap="#part__info__tools__m_1_1multi__domain__data__t_coll__map" alt="Collaboration graph"/></div>
<map name="part__info__tools__m_1_1multi__domain__data__t_coll__map" id="part__info__tools__m_1_1multi__domain__data__t_coll__map">
<area shape="rect" id="node2" href="structpart__info__tools__m_1_1part__info__item__t.html" title="{part_info_tools_m::\lpart_info_item_t\n|&#45; type\l&#45; sid\l|}" alt="" coords="3428,1923,3561,2030"/>
<area shape="rect" id="node47" href="structpart__info__tools__m_1_1part__shortcut__t.html" title="{part_info_tools_m::\lpart_shortcut_t\n|&#45; name\l|}" alt="" coords="3620,2254,3753,2346"/>
<area shape="rect" id="node48" href="structpart__info__tools__m_1_1part__item__unit__t.html" title="{part_info_tools_m::\lpart_item_unit_t\n||}" alt="" coords="3313,2254,3446,2346"/>
<area shape="rect" id="node3" href="structmulti__domain__defs__m_1_1partition__info__t.html" title="{multi_domain_defs_m\l::partition_info_t\n|+ x_min\l+ x_max\l+ dx\l+ x_ref\l+ op\l+ op_i0\l+ domain\l+ sid\l+ irank\l+ sid_under_domain\l|}" alt="" coords="161,5,310,229"/>
<area shape="rect" id="node13" href="structmulti__domain__defs__m_1_1md__src__point__t.html" title="{multi_domain_defs_m\l::md_src_point_t\n|+ x\l+ i_cv\l+ changed\l+ ghost_cv\l+ trg_irank\l+ trg_part_sid\l+ index_trg_pt\l+ index_buf_send\l+ i_s\l+ i_e\l+ coeff_poly\l+ flag\l|}" alt="" coords="44,292,193,545"/>
<area shape="rect" id="node14" href="structmulti__domain__defs__m_1_1md__trg__point__t.html" title="{multi_domain_defs_m\l::md_trg_point_t\n|+ x\l+ i\l+ j\l+ k\l+ data_type\l+ depth\l+ update\l+ src_irank\l+ src_part_sid\l+ index_trg_pt\land 6 more...\l|}" alt="" coords="278,299,428,538"/>
<area shape="rect" id="node18" href="structmulti__domain__defs__m_1_1md__data__part__t.html" title="{multi_domain_defs_m\l::md_data_part_t\n|+ name\l+ just_added\l|}" alt="" coords="406,1159,556,1265"/>
<area shape="rect" id="node4" href="structpart__info__tools__m_1_1sd__item__t.html" title="{part_info_tools_m::\lsd_item_t\n|&#45; icv_src_conv\l|}" alt="" coords="3692,1732,3825,1824"/>
<area shape="rect" id="node5" href="structsd__defs_1_1sd__.html" title="{sd_defs::sd_\n|+ name\l+ sub_name\l+ physics\l+ enabled\l+ icyl\l+ isect\l+ xper\l+ yper\l+ zper\l+ imino_\land 197 more...\l|}" alt="" coords="3702,1445,3815,1669"/>
<area shape="rect" id="node6" href="structdata__xx__defs_1_1r1__.html" title="{data_xx_defs::r1_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ stats_flag\l+ d\l|}" alt="" coords="575,667,712,876"/>
<area shape="rect" id="node21" href="structsd__stats__defs_1_1stats__xx__t.html" title="{sd_stats_defs::stats_xx_t\n|+ type\l+ data_kind\l+ name\l+ modified_for_output\l+ stats_time\l+ stats_time_prev\l+ r0\l+ r1\l+ r2\l+ r3\l+ r4\l+ name_var\l+ name_var2\l|}" alt="" coords="958,1085,1132,1339"/>
<area shape="rect" id="node7" href="structdata__xx__defs_1_1r0__.html" title="{data_xx_defs::r0_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ stats_flag\l+ d\l|}" alt="" coords="798,667,935,876"/>
<area shape="rect" id="node8" href="structobject__defs__m_1_1object__unit__t.html" title="{object_defs_m::object\l_unit_t\n||}" alt="" coords="1983,1166,2134,1258"/>
<area shape="rect" id="node9" href="structobject__defs__m_1_1object__t.html" title="{object_defs_m::object_t\n|+ index_s\l+ type\l+ state\l+ virtual\l+ dummy\l+ rewind_next\l+ boundary_name\l+ id_attached_object\l+ rw_flag\l+ dump_flag\land 22 more...\l|}" alt="" coords="1978,659,2139,883"/>
<area shape="rect" id="node41" href="structobject__defs__m_1_1sd__volfrac__t.html" title="{object_defs_m::sd_volfrac_t\n|+ info\l+ d\l+ porous_config\l+ d_pore\l+ flag_source\l+ normal\l+ init_state\l+ changed_vfrac\l+ name_tmp\l|}" alt="" coords="2158,1115,2345,1309"/>
<area shape="rect" id="node43" href="structobject__defs__m_1_1object__pack__t.html" title="{object_defs_m::object\l_pack_t\n|+ time\l+ bbox_min_domain\l+ bbox_max_domain\l+ ibbox_min_domain\l+ ibbox_max_domain\l+ periodic\l+ index_pr\l+ delta_domain\l+ idelta_domain\l+ sid_object\l+ default\l+ exist_combined_domains\l+ read_objects_from_input\l+ converted_r2i\l|}" alt="" coords="1716,1071,1897,1353"/>
<area shape="rect" id="node10" href="structnamelist__m_1_1name__t.html" title="{namelist_m::name_t\n|&#45; d\l|}" alt="" coords="1732,380,1872,457"/>
<area shape="rect" id="node11" href="structrcc__proc__data__m_1_1rcc__proc__t.html" title="{rcc_proc_data_m::rcc\l_proc_t\n|+ npx\l+ npy\l+ npz\l+ nproc\l+ nproc_user\l+ ncv_per_proc\l+ flag\l|}" alt="" coords="2576,1122,2724,1302"/>
<area shape="rect" id="node12" href="structmulti__domain__defs__m_1_1md__link__part__t.html" title="{multi_domain_defs_m\l::md_link_part_t\n|+ name\l+ n_trg_update\l+ flag_cv\l+ flag_fai\l+ flag_faj\l+ flag_fak\l|}" alt="" coords="254,689,404,854"/>
<area shape="rect" id="node15" href="structsd__ale__defs__m_1_1ale__geom__t.html" title="{sd_ale_defs_m::ale\l_geom_t\n|+ time_uvw\l+ time_mp1\l+ first_step\l+ skip_step\l+ skip_step_prev\l+ skip_flip\l+ vel_type\l+ ug_n\l+ ug_np1\l+ ug_from_file\land 56 more...\l|}" alt="" coords="2810,1093,2944,1331"/>
<area shape="rect" id="node16" href="structmaterial__defs__m_1_1material__info__t.html" title="{material_defs_m::material\l_info_t\n||}" alt="" coords="2968,1166,3140,1258"/>
<area shape="rect" id="node17" href="structmaterial__defs__m_1_1phys__phase__t.html" title="{material_defs_m::phys\l_phase_t\n|+ name\l+ type\l+ from_mechanisim\l+ n_material\l+ vfracmid\l+ name_vfrac\l+ flag\l|}" alt="" coords="2977,681,3132,861"/>
<area shape="rect" id="node19" href="structsd__bc__defs__m_1_1shared__bc__.html" title="{sd_bc_defs_m::shared_bc_\n|+ name\l+ data_type\l|}" alt="" coords="3164,1166,3347,1258"/>
<area shape="rect" id="node20" href="structmaterial__defs__m_1_1material__interface__t.html" title="{material_defs_m::material\l_interface_t\n|+ name\l+ is_cv\l+ ie_cv\l+ i_cv\l+ is_fa\l+ ie_fa\l+ i_fa\l|}" alt="" coords="3432,1122,3604,1302"/>
<area shape="rect" id="node22" href="structdata__xx__defs_1_1r4__.html" title="{data_xx_defs::r4_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ stats_flag\l+ d\l|}" alt="" coords="1020,667,1158,876"/>
<area shape="rect" id="node23" href="structdata__xx__defs_1_1r3__.html" title="{data_xx_defs::r3_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ stats_flag\l+ vec\l+ scalar_member\l+ d\l|}" alt="" coords="1243,652,1380,891"/>
<area shape="rect" id="node24" href="structdata__xx__defs_1_1r2__.html" title="{data_xx_defs::r2_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ stats_flag\l+ d\l|}" alt="" coords="1466,667,1603,876"/>
<area shape="rect" id="node25" href="structdata__xx__defs_1_1i2__.html" title="{data_xx_defs::i2_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ d\l|}" alt="" coords="3690,1115,3827,1309"/>
<area shape="rect" id="node26" href="structtiming__defs_1_1timer__pack__.html" title="{timing_defs::timer\l_pack_\n|&#45; ntimers\l&#45; nstarted\l&#45; started\l&#45; full_time_in\l&#45; mval\l|}" alt="" coords="3912,1137,4039,1287"/>
<area shape="rect" id="node27" href="structdata__xx__defs_1_1i1__.html" title="{data_xx_defs::i1_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ d\l|}" alt="" coords="4063,1115,4200,1309"/>
<area shape="rect" id="node28" href="structdata__xx__defs_1_1i0__.html" title="{data_xx_defs::i0_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ d\l|}" alt="" coords="4286,1115,4423,1309"/>
<area shape="rect" id="node29" href="structmaterial__defs__m_1_1mpoint__t.html" title="{material_defs_m::mpoint_t\n|+ type\l+ x\l+ boundary_name\l|}" alt="" coords="4509,1159,4685,1265"/>
<area shape="rect" id="node30" href="structmonitor__defs_1_1monitor__.html" title="{monitor_defs::monitor_\n|+ name\l+ interval\l+ type\l+ state\l+ direction\l+ fh\l+ enabled\l+ user_enabled\l|}" alt="" coords="4762,681,4917,861"/>
<area shape="rect" id="node45" href="structprobe__defs_1_1probe__.html" title="{probe_defs::probe_\n|+ name\l+ x\l+ local\l+ out_of_sd\l+ index_x\l+ index_y\l+ index_z\l+ index_xm\l+ index_ym\l+ index_zm\land 8 more...\l|}" alt="" coords="4904,1100,5037,1324"/>
<area shape="rect" id="node31" href="structsd__boundary__defs_1_1boundary__unit__.html" title="{sd_boundary_defs::boundary\l_unit_\n||}" alt="" coords="5300,1166,5489,1258"/>
<area shape="rect" id="node32" href="structsd__boundary__defs_1_1boundary__.html" title="{sd_boundary_defs::boundary_\n|+ name\l+ config\l+ changed\l+ object_moved\l+ sid\l+ sid_old\l+ material_index\l+ object_name\l+ index_s\l+ disable_thin_object\land 32 more...\l|}" alt="" coords="5122,659,5318,883"/>
<area shape="rect" id="node33" href="structdata__xx__defs_1_1r3__unit__.html" title="{data_xx_defs::r3_unit_\n|+ d\l|}" alt="" coords="5513,1173,5668,1251"/>
<area shape="rect" id="node34" href="structsd__stats__defs_1_1stats__group__t.html" title="{sd_stats_defs::stats\l_group_t\n||}" alt="" coords="5692,1166,5833,1258"/>
<area shape="rect" id="node35" href="structbuffer__defs__m_1_1buffer__group__.html" title="{buffer_defs_m::buffer\l_group_\n|+ bytes\l+ max_bytes\l|}" alt="" coords="5918,1159,6065,1265"/>
<area shape="rect" id="node36" href="structdata__xx__defs_1_1l0__.html" title="{data_xx_defs::l0_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ d\l|}" alt="" coords="6090,1115,6227,1309"/>
<area shape="rect" id="node37" href="structijk__list__m_1_1ijk__dir__i__t.html" title="{ijk_list_m::ijk_dir_i_t\n|+ i\l+ j\l+ k\l+ dir\l+ flag1\l+ flag2\l|}" alt="" coords="6342,696,6482,847"/>
<area shape="rect" id="node42" href="structextend__sd__defs__m_1_1extend__sd__pack__t.html" title="{extend_sd_defs_m::extend\l_sd_pack_t\n|&#45; n_exx\l&#45; n_exx_grad\l&#45; ncv_extend\l&#45; ncv_extendo\l&#45; ncv_extend_sum\l&#45; icv_extend\l&#45; icv_extendo\l&#45; st0\l&#45; st0o\l&#45; st1\land 22 more...\l|}" alt="" coords="6473,1093,6652,1331"/>
<area shape="rect" id="node38" href="structsd__adt__defs__m_1_1sd__adt__t.html" title="{sd_adt_defs_m::sd_adt_t\n||}" alt="" coords="6800,1173,6970,1251"/>
<area shape="rect" id="node39" href="structadt__m_1_1adt__t.html" title="{adt_m::adt_t\n|+ ndim\l+ n\l+ stack_size\l+ ileafdata\l+ rbbox_leafdata\l+ ibbox_leafdata\l+ index\l+ stack\l|}" alt="" coords="6666,681,6784,861"/>
<area shape="rect" id="node40" href="structdata__xx__defs_1_1i3__.html" title="{data_xx_defs::i3_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ d\l|}" alt="" coords="6994,1115,7131,1309"/>
<area shape="rect" id="node44" href="structobject__defs__m_1_1sd__ixyz__t.html" title="{object_defs_m::sd_ixyz_t\n|+ ix_s\l+ ix_e\l+ iy_s\l+ iy_e\l+ iz_s\l+ iz_e\l+ ix\l+ iy\l+ iz\l+ ixm\l+ iym\l+ izm\l+ idx\l+ idy\l+ idz\l|}" alt="" coords="7217,1071,7388,1353"/>
<area shape="rect" id="node46" href="structdata__xx__defs_1_1s0__t.html" title="{data_xx_defs::s0_t\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\l+ flag\l+ d\l|}" alt="" coords="7412,1115,7550,1309"/>
<area shape="rect" id="node49" href="structpart__info__tools__m_1_1multi__domain__link__t.html" title="{part_info_tools_m::\lmulti_domain_link_t\n|&#45; name\l&#45; type_link\l&#45; allow_src_in_local_part\l&#45; allow_src_in_local\l_domain\l&#45; changed_trg_points\l&#45; changed_src_points\l&#45; i3_buf_send\l&#45; i3_buf_recv\l&#45; r3_buf_send\l&#45; r3_buf_recv\land 11 more...\l|}" alt="" coords="3885,2173,4050,2427"/>
<area shape="rect" id="node50" href="structpart__info__tools__m_1_1multi__domain__comm__t.html" title="{part_info_tools_m::\lmulti_domain_comm_t\n|&#45; data_type\l&#45; send_count_all\l&#45; recv_count_all\l&#45; send_count\l&#45; send_disp\l&#45; recv_count\l&#45; recv_disp\l|}" alt="" coords="3891,1887,4044,2067"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a3c16c7f4942daecdf42ef57cd32dbad8"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a3c16c7f4942daecdf42ef57cd32dbad8">name</a> = 'N/A'</td></tr>
<tr class="separator:a3c16c7f4942daecdf42ef57cd32dbad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5b98fd8fbf7afe004817bbd0c61c88e"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#ad5b98fd8fbf7afe004817bbd0c61c88e">include_overlap</a> = .FALSE.</td></tr>
<tr class="separator:ad5b98fd8fbf7afe004817bbd0c61c88e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aea011d065749c5eb943c986f213ecb"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a5aea011d065749c5eb943c986f213ecb">first_sd</a> =&gt; null()</td></tr>
<tr class="separator:a5aea011d065749c5eb943c986f213ecb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca8e497b7c9d70128a49f4dbc617c7c7"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1sd__item__t.html">sd_item_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#aca8e497b7c9d70128a49f4dbc617c7c7">first_sd_item</a> =&gt; null()</td></tr>
<tr class="separator:aca8e497b7c9d70128a49f4dbc617c7c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d3a563c3732f19ca5a1d91963df4aa9"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1part__info__item__t.html">part_info_item_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a2d3a563c3732f19ca5a1d91963df4aa9">first_part_item</a> =&gt; null()</td></tr>
<tr class="separator:a2d3a563c3732f19ca5a1d91963df4aa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea82b7be288d83f68a4de909c1873258"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1part__info__item__t.html">part_info_item_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#aea82b7be288d83f68a4de909c1873258">last_part_item</a> =&gt; null()</td></tr>
<tr class="separator:aea82b7be288d83f68a4de909c1873258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c397dab67e81eed49f58bd167fbd4ca"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1part__shortcut__t.html">part_shortcut_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a7c397dab67e81eed49f58bd167fbd4ca">first_part_shortcut</a> =&gt; null()</td></tr>
<tr class="separator:a7c397dab67e81eed49f58bd167fbd4ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79410f93ee69facc39d5fa3aafcd6d0c"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1part__info__item__t.html">part_info_item_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a79410f93ee69facc39d5fa3aafcd6d0c">recent_part_item</a> =&gt; null()</td></tr>
<tr class="separator:a79410f93ee69facc39d5fa3aafcd6d0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65f3f0cb1193f67104977357c93f1ac3"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a65f3f0cb1193f67104977357c93f1ac3">n_part_item</a> = 0</td></tr>
<tr class="separator:a65f3f0cb1193f67104977357c93f1ac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af73d12a1811860ab041f4e9aba3b9a1d"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1part__item__unit__t.html">part_item_unit_t</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#af73d12a1811860ab041f4e9aba3b9a1d">list_part_item</a> =&gt; null()</td></tr>
<tr class="separator:af73d12a1811860ab041f4e9aba3b9a1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef13a208c1dc93eb5ef0e863537b1d59"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#aef13a208c1dc93eb5ef0e863537b1d59">part_changed</a> = .TRUE.</td></tr>
<tr class="separator:aef13a208c1dc93eb5ef0e863537b1d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20fe6e6b20f76e0dee5413e6382cb20e"><td class="memItemLeft" align="right" valign="top">type(object_pack_t), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a20fe6e6b20f76e0dee5413e6382cb20e">obj_pack</a> =&gt; null()</td></tr>
<tr class="separator:a20fe6e6b20f76e0dee5413e6382cb20e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cf614988743dbe23969b97a94624ad6"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a1cf614988743dbe23969b97a94624ad6">first_domain_delete</a> =&gt; null()</td></tr>
<tr class="separator:a1cf614988743dbe23969b97a94624ad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5abc19ec365783933db98d54833c1cfb"><td class="memItemLeft" align="right" valign="top">type(adt_t), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a5abc19ec365783933db98d54833c1cfb">adt_part</a> =&gt; null()</td></tr>
<tr class="separator:a5abc19ec365783933db98d54833c1cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a057674aadc3ba612f62867ba6ffdfc7f"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1multi__domain__link__t.html">multi_domain_link_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a057674aadc3ba612f62867ba6ffdfc7f">first_md_link</a> =&gt; null()</td></tr>
<tr class="separator:a057674aadc3ba612f62867ba6ffdfc7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ba9564aacbe0cee7c67cf2de5494e8a"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1multi__domain__link__t.html">multi_domain_link_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a1ba9564aacbe0cee7c67cf2de5494e8a">md_link</a> =&gt; null()</td></tr>
<tr class="separator:a1ba9564aacbe0cee7c67cf2de5494e8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9be90c80fb46eeb1cb8a43f2dbdc2e2f"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1multi__domain__link__t.html">multi_domain_link_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a9be90c80fb46eeb1cb8a43f2dbdc2e2f">recent_md_link</a> =&gt; null()</td></tr>
<tr class="separator:a9be90c80fb46eeb1cb8a43f2dbdc2e2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a871461032afc6c6435679b6bb8c66320"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html">multi_domain_data_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html#a871461032afc6c6435679b6bb8c66320">next</a> =&gt; null()</td></tr>
<tr class="separator:a871461032afc6c6435679b6bb8c66320"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a5abc19ec365783933db98d54833c1cfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5abc19ec365783933db98d54833c1cfb">&#9670;&nbsp;</a></span>adt_part</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(adt_t), pointer part_info_tools_m::multi_domain_data_t::adt_part =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1cf614988743dbe23969b97a94624ad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cf614988743dbe23969b97a94624ad6">&#9670;&nbsp;</a></span>first_domain_delete</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer part_info_tools_m::multi_domain_data_t::first_domain_delete =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a057674aadc3ba612f62867ba6ffdfc7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a057674aadc3ba612f62867ba6ffdfc7f">&#9670;&nbsp;</a></span>first_md_link</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1multi__domain__link__t.html">multi_domain_link_t</a>), pointer part_info_tools_m::multi_domain_data_t::first_md_link =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d3a563c3732f19ca5a1d91963df4aa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d3a563c3732f19ca5a1d91963df4aa9">&#9670;&nbsp;</a></span>first_part_item</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1part__info__item__t.html">part_info_item_t</a>), pointer part_info_tools_m::multi_domain_data_t::first_part_item =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c397dab67e81eed49f58bd167fbd4ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c397dab67e81eed49f58bd167fbd4ca">&#9670;&nbsp;</a></span>first_part_shortcut</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1part__shortcut__t.html">part_shortcut_t</a>), pointer part_info_tools_m::multi_domain_data_t::first_part_shortcut =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5aea011d065749c5eb943c986f213ecb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aea011d065749c5eb943c986f213ecb">&#9670;&nbsp;</a></span>first_sd</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer part_info_tools_m::multi_domain_data_t::first_sd =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aca8e497b7c9d70128a49f4dbc617c7c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca8e497b7c9d70128a49f4dbc617c7c7">&#9670;&nbsp;</a></span>first_sd_item</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1sd__item__t.html">sd_item_t</a>), pointer part_info_tools_m::multi_domain_data_t::first_sd_item =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5b98fd8fbf7afe004817bbd0c61c88e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5b98fd8fbf7afe004817bbd0c61c88e">&#9670;&nbsp;</a></span>include_overlap</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical part_info_tools_m::multi_domain_data_t::include_overlap = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea82b7be288d83f68a4de909c1873258"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea82b7be288d83f68a4de909c1873258">&#9670;&nbsp;</a></span>last_part_item</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1part__info__item__t.html">part_info_item_t</a>), pointer part_info_tools_m::multi_domain_data_t::last_part_item =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af73d12a1811860ab041f4e9aba3b9a1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af73d12a1811860ab041f4e9aba3b9a1d">&#9670;&nbsp;</a></span>list_part_item</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1part__item__unit__t.html">part_item_unit_t</a>), dimension(:), pointer part_info_tools_m::multi_domain_data_t::list_part_item =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ba9564aacbe0cee7c67cf2de5494e8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ba9564aacbe0cee7c67cf2de5494e8a">&#9670;&nbsp;</a></span>md_link</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1multi__domain__link__t.html">multi_domain_link_t</a>), pointer part_info_tools_m::multi_domain_data_t::md_link =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a65f3f0cb1193f67104977357c93f1ac3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65f3f0cb1193f67104977357c93f1ac3">&#9670;&nbsp;</a></span>n_part_item</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer part_info_tools_m::multi_domain_data_t::n_part_item = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c16c7f4942daecdf42ef57cd32dbad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c16c7f4942daecdf42ef57cd32dbad8">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) part_info_tools_m::multi_domain_data_t::name = 'N/A'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a871461032afc6c6435679b6bb8c66320"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a871461032afc6c6435679b6bb8c66320">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1multi__domain__data__t.html">multi_domain_data_t</a>), pointer part_info_tools_m::multi_domain_data_t::next =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20fe6e6b20f76e0dee5413e6382cb20e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20fe6e6b20f76e0dee5413e6382cb20e">&#9670;&nbsp;</a></span>obj_pack</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(object_pack_t), pointer part_info_tools_m::multi_domain_data_t::obj_pack =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aef13a208c1dc93eb5ef0e863537b1d59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef13a208c1dc93eb5ef0e863537b1d59">&#9670;&nbsp;</a></span>part_changed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical part_info_tools_m::multi_domain_data_t::part_changed = .TRUE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9be90c80fb46eeb1cb8a43f2dbdc2e2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9be90c80fb46eeb1cb8a43f2dbdc2e2f">&#9670;&nbsp;</a></span>recent_md_link</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1multi__domain__link__t.html">multi_domain_link_t</a>), pointer part_info_tools_m::multi_domain_data_t::recent_md_link =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a79410f93ee69facc39d5fa3aafcd6d0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79410f93ee69facc39d5fa3aafcd6d0c">&#9670;&nbsp;</a></span>recent_part_item</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structpart__info__tools__m_1_1part__info__item__t.html">part_info_item_t</a>), pointer part_info_tools_m::multi_domain_data_t::recent_part_item =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="part__info__tools__m_8f90.html">part_info_tools_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
